Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### loop()

Examples

    void setup() {
      size(200, 200);
      noLoop();
    }

    float x = 0;

    void draw() {
      background(204);
      x = x + .1;
      if (x > width) {
        x = 0;
      }
      line(x, 0, x, height);
    }

    void mousePressed() {
      loop();
    }

    void mouseReleased() {
      noLoop();
    }

Description | Causes Processing to continuously execute the code within draw(). If noLoop() is called, the code in draw() stops executing.

Syntax

    loop()
    redraw()
    draw()

Parameters

Usage | Web & Application
Related | noLoop()

Updated on February 09, 2008 04:38:52pm PST